> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hyra.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get user by Roblox username

> Get a user by their Roblox username



## OpenAPI

````yaml get /users/roblox
openapi: 3.0.3
info:
  title: Hyra API
  description: Hyra Monolythic API
  version: 2.0.0
servers:
  - url: https://api.hyra.io
security: []
paths:
  /users/roblox:
    get:
      tags:
        - Users
      description: Get a user by their Roblox username
      parameters:
        - schema:
            type: string
          in: query
          name: username
          required: true
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  username:
                    type: string
                  display_name:
                    type: string
                required:
                  - id
                  - username

````